<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Google Map</title>
    <style>
        #map {
            height: 600px;
            width: 100%;
        }
    </style>
</head>

<body>

    <h1>My Google Map`</h1>
    <div id="map"></div>


    <script>
        function initMap() {
            //Map options
            var options = {
                zoom: 9,
                center: {
                    lat: 42.3601,
                    lng: -71.0589
                }
            }
            // new map
            var map = new google.maps.Map(document.getElementById('map'), options);
            // customer marker
            var iconBase = 'https://maps.google.com/mapfiles/kml/shapes/parking_lot_maps.png';
            //array of Marrkeers
            var markers = [{
                    coords: {
                        lat: 42.4668,
                        lng: -70.9495
                    },
                    img: iconBase,
                    con: '<div id="content">' +
                        '<div id="siteNotice">' +
                        "</div>" +
                        '<h1 id="firstHeading" class="firstHeading">Uluru</h1>' +
                        '<div id="bodyContent">' +
                        "<p><b>Uluru</b>, also referred to as <b>Ayers Rock</b>, is a large " +
                        "sandstone rock formation in the southern part of the " +
                        "Northern Territory, central Australia. It lies 335&#160;km (208&#160;mi) " +
                        "south west of the nearest large town, Alice Springs; 450&#160;km " +
                        "(280&#160;mi) by road. Kata Tjuta and Uluru are the two major " +
                        "features of the Uluru - Kata Tjuta National Park. Uluru is " +
                        "sacred to the Pitjantjatjara and Yankunytjatjara, the " +
                        "Aboriginal people of the area. It has many springs, waterholes, " +
                        "rock caves and ancient paintings. Uluru is listed as a World " +
                        "Heritage Site.</p>" +
                        '<p>Attribution: Uluru, <a href="https://en.wikipedia.org/w/index.php?title=Uluru&oldid=297882194">' +
                        "https://en.wikipedia.org/w/index.php?title=Uluru</a> " +
                        "(last visited June 22, 2009).</p>" +
                        "</div>" +
                        "</div>"
                },
                {
                    coords: {
                        lat: 42.8584,
                        lng: -70.9300
                    },
                    img: iconBase,
                    con: '<h3> This Is your Content <h3>'
                },
                {
                    coords: {
                        lat: 42.7762,
                        lng: -71.0773
                    },
                    img: iconBase,
                    con: '<h3> This Is your Content <h3>'
                }
            ];

            //loopthrough markers
            for (var i = 0; i < markers.length; i++) {
                //add markeers
                addMarker(markers[i]);
            }

            //function for the plotting markers on the map
            function addMarker(props) {
                var marker = new google.maps.Marker({
                    position: props.coords,
                    map: map,
                    icon: props.img
                });
                var infoWindow = new google.maps.InfoWindow({
                    content: props.con,
                });
                marker.addListener("mouseover", () => {
                    infoWindow.open(map, marker);
                });
            }
        }
    </script>

    <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAoDLUbkaLhApG95zIdA4y5sjPM7eToKyM&amp;callback=initMap" defer></script>

</body>

</html>