<!DOCTYPE html>
<html lang="en">

<head>
    <title>Labaid Diagnostics Center</title>
    <script src="https://polyfill.io/v3/polyfill.min.js?features=default"></script>
    <?php include('./partials/header.php') ?>

    <style type="text/css">
        #map {
            height: 98%;
        }

        html,
        body {
            height: 100%;
            margin: 0;
            padding: 0;
        }
    </style>
    <script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAoDLUbkaLhApG95zIdA4y5sjPM7eToKyM&amp;callback=initMap">
        // <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAoDLUbkaLhApG95zIdA4y5sjPM7eToKyM&amp;callback=initMap" async>
    </script>

</head>

<body onload="initialize()">
    <?php include('./partials/menu.php') ?>
    <div id="top-image">
        <div class="container top-image">
            <h3 class="float-left">Contact us</h3>
            <p class="float-right"><i class="fas fa-home"></i> <a href="home.php">Home</a> | <a href="contact-us.php">Contact us</a></p>
        </div>
    </div>
    <div class="div contact-padding">
        <div class="container">
            <div class="row">
                <div class="col-sm-5">
                    <div id="app-form">
                        <div class="contact-us-title">
                            <h4>Get In Touch</h4>
                        </div>
                        <form action="index.html" method="post" class="py-4">
                            <p>We offer extensive medical procedures to outbound and inbound patients what it is and we are very proud of achievpatients for recovery.</p>
                            <fieldset>
                                <label for="name">Name:</label>
                                <input type="text" id="name" name="user_name" placeholder="Your Name" required pattern="[a-zA-Z0-9]+">
                                <label class="pt-4" for="mail">Email:</label>
                                <input type="email" id="mail" name="user_email" placeholder="abc@xyz.com" required>
                                <label class="pt-4" for="tel">Contact Number:</label>
                                <input type="tel" id="tel" placeholder="Phone" name="user_num">
                            </fieldset>
                            <fieldset>
                                <label for="appointment_description">Message:</label>
                                <textarea id="appointment_description" name="appointment_description" placeholder=""></textarea>
                                <br>
                            </fieldset>
                            <button type="submit">Send Message</button>
                        </form>
                    </div>
                </div>
                <div class="col-sm-1"></div>
                <div class="col-sm-6">

                    <div id="map"></div>

                    <!-- Async script executes immediately and must be after any DOM elements used in callback. -->
                    <!-- <script src="https://maps.googleapis.com/maps/api/js?key=AIzaSyB41DRUbKWJHPxaFjMAwdrzWzbVKartNGg&callback=initMap&v=weekly&channel=2" async></script> -->

                </div>
            </div>
        </div>
    </div>
    <?php include('./partials/footer.php') ?>
    <script type="text/javascript">
        function initMap() {
            const uluru = {
                lat: -25.363,
                lng: 131.044
            };
            const map = new google.maps.Map(document.getElementById("map"), {
                zoom: 4,
                center: uluru,
            });
            const contentString =
                '<div id="content">' +
                '<div id="siteNotice">' +
                "</div>" +
                '<h1 id="firstHeading" class="firstHeading">Uluru</h1>' +
                '<div id="bodyContent">' +
                "<p><b>Uluru</b>, also referred to as <b>Ayers Rock</b>, is a large " +
                "sandstone rock formation in the southern part of the " +
                "Northern Territory, central Australia. It lies 335&#160;km (208&#160;mi) " +
                "south west of the nearest large town, Alice Springs; 450&#160;km " +
                "(280&#160;mi) by road. Kata Tjuta and Uluru are the two major " +
                "features of the Uluru - Kata Tjuta National Park. Uluru is " +
                "sacred to the Pitjantjatjara and Yankunytjatjara, the " +
                "Aboriginal people of the area. It has many springs, waterholes, " +
                "rock caves and ancient paintings. Uluru is listed as a World " +
                "Heritage Site.</p>" +
                '<p>Attribution: Uluru, <a href="https://en.wikipedia.org/w/index.php?title=Uluru&oldid=297882194">' +
                "https://en.wikipedia.org/w/index.php?title=Uluru</a> " +
                "(last visited June 22, 2009).</p>" +
                "</div>" +
                "</div>";
            const infowindow = new google.maps.InfoWindow({
                content: contentString,
            });
            const marker = new google.maps.Marker({
                position: uluru,
                map,
                title: "Uluru (Ayers Rock)",
            });

            marker.addListener("mouseover", () => {
                infowindow.open({
                    anchor: marker,
                    map,
                    shouldFocus: false,
                });
            });
        }
    </script>
</body>

</html>